cURL
curl --request PUT \
--url https://api.timbal.ai/orgs/{org_id}/iam/users/{user_id}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachments": [
{
"role_id": 123,
"scope": "<string>"
}
]
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/iam/users/{user_id}/roles"
payload = { "attachments": [
{
"role_id": 123,
"scope": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attachments: [{role_id: 123, scope: '<string>'}]})
};
fetch('https://api.timbal.ai/orgs/{org_id}/iam/users/{user_id}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Users
Update User Roles
Replace a member’s role attachments.
PUT
/
orgs
/
{org_id}
/
iam
/
users
/
{user_id}
/
roles
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Body
application/json
Desired attachment set for this member. Attachments present today
but not in the list are detached; new ones are attached. An empty
list detaches everything. Duplicate (role_id, scope) pairs are
ignored.
Show child attributes
Show child attributes
Response
Attachments updated
⌘I